<input type="text" id="pseudo">
<button onclick="envoyer()">Envoyer</button>

function fetchData(url, pseudo) {
	fetch(url, {
		method: "POST",
		headers: {
			"Content-Type": "application/json"
		},
		body: JSON.stringify({
			pseudo: pseudo
		})
	})
	.then(callback => {
		if (callback.ok) {
			return callback.json();
		} else {
			throw new Error('Erreur serveur', {cause: callback});
		}
	})
	.then(data => {
		console.log('Données récupérées avec succès : ', data);
	})
	.catch(err => {
		console.error('Une erreur est survenue', err);
	});
}

function envoyer() {
	const pseudo = document.getElementById("pseudo").value;
	fetchData("http://localhost/index.php?action=ajax&param=userDB", pseudo);
}